Subject: Re: kmalloc vs pci_alloc_consistent

From: Matt Porter <[email-masked]>
Date: Fri, 18 Jul 2003 09:13:22 -0700

On Fri, Jul 18, 2003 at 08:34:24AM -0500, Johnson, Stephen wrote:
>
> I don't know the history behind pci_alloc and wanted to throw this out there
> to get some clarification.
>
> What's the benefit of pci_alloc over using kmalloc with flags for a
> cache-safe buffer?

Documentation/DMA-mapping.txt has a detailed explanation of the API.

Regards,
--
Matt Porter
[email-masked]

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/